org.eclipse.viatra.cep.vepl.services

## Class VeplGrammarAccess

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder
    - - org.eclipse.viatra.cep.vepl.services.VeplGrammarAccess

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess

      public class VeplGrammarAccess
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `VeplGrammarAccess.AbstractAtomicEventPatternElements`
    `class` | `VeplGrammarAccess.AbstractMultiplicityElements`
    `class` | `VeplGrammarAccess.AndOperatorElements`
    `class` | `VeplGrammarAccess.AtLeastOneElements`
    `class` | `VeplGrammarAccess.AtomElements`
    `class` | `VeplGrammarAccess.AtomicEventPatternElements`
    `class` | `VeplGrammarAccess.BinaryOperatorElements`
    `class` | `VeplGrammarAccess.ChainedExpressionElements`
    `class` | `VeplGrammarAccess.ComplexEventExpressionElements`
    `class` | `VeplGrammarAccess.ComplexEventOperatorElements`
    `class` | `VeplGrammarAccess.ComplexEventPatternElements`
    `class` | `VeplGrammarAccess.ContextElements`
    `class` | `VeplGrammarAccess.ContextEnumElements`
    `class` | `VeplGrammarAccess.EventModelElements`
    `class` | `VeplGrammarAccess.EventPatternElements`
    `class` | `VeplGrammarAccess.FollowsOperatorElements`
    `class` | `VeplGrammarAccess.GenericImportElements`
    `class` | `VeplGrammarAccess.ImportElements`
    `class` | `VeplGrammarAccess.InfiniteElements`
    `class` | `VeplGrammarAccess.ModelElementElements`
    `class` | `VeplGrammarAccess.MultiplicityElements`
    `class` | `VeplGrammarAccess.NegatedPrimaryElements`
    `class` | `VeplGrammarAccess.NegOperatorElements`
    `class` | `VeplGrammarAccess.NormalPrimaryElements`
    `class` | `VeplGrammarAccess.OrOperatorElements`
    `class` | `VeplGrammarAccess.ParameterizedPatternCallElements`
    `class` | `VeplGrammarAccess.ParametrizedQueryReferenceElements`
    `class` | `VeplGrammarAccess.PatternCallParameterElements`
    `class` | `VeplGrammarAccess.PatternCallParameterListElements`
    `class` | `VeplGrammarAccess.PrimaryElements`
    `class` | `VeplGrammarAccess.QueryImportElements`
    `class` | `VeplGrammarAccess.QueryResultChangeEventPatternElements`
    `class` | `VeplGrammarAccess.QueryResultChangeTypeElements`
    `class` | `VeplGrammarAccess.RuleElements`
    `class` | `VeplGrammarAccess.TimewindowElements`
    `class` | `VeplGrammarAccess.TraitElements`
    `class` | `VeplGrammarAccess.TraitListElements`
    `class` | `VeplGrammarAccess.TraitTypedParameterListElements`
    `class` | `VeplGrammarAccess.TypedParameterElements`
    `class` | `VeplGrammarAccess.TypedParameterListElements`
    `class` | `VeplGrammarAccess.TypedParameterWithDefaultValueElements`
    `class` | `VeplGrammarAccess.UnaryOperatorElements`
    `class` | `VeplGrammarAccess.UntilOperatorElements`

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.IGrammarAccess

      `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VeplGrammarAccess(org.eclipse.xtext.service.GrammarProvider grammarProvider, org.eclipse.xtext.xbase.services.XbaseGrammarAccess gaXbase, org.eclipse.xtext.xbase.services.XtypeGrammarAccess gaXtype)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VeplGrammarAccess.AbstractAtomicEventPatternElements` | `getAbstractAtomicEventPatternAccess()`
    `org.eclipse.xtext.ParserRule` | `getAbstractAtomicEventPatternRule()`
    `VeplGrammarAccess.AbstractMultiplicityElements` | `getAbstractMultiplicityAccess()`
    `org.eclipse.xtext.ParserRule` | `getAbstractMultiplicityRule()`
    `VeplGrammarAccess.AndOperatorElements` | `getAndOperatorAccess()`
    `org.eclipse.xtext.ParserRule` | `getAndOperatorRule()`
    `org.eclipse.xtext.TerminalRule` | `getANY_OTHERRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.ArrayBracketsElements` | `getArrayBracketsAccess()`
    `org.eclipse.xtext.ParserRule` | `getArrayBracketsRule()`
    `VeplGrammarAccess.AtLeastOneElements` | `getAtLeastOneAccess()`
    `org.eclipse.xtext.ParserRule` | `getAtLeastOneRule()`
    `VeplGrammarAccess.AtomElements` | `getAtomAccess()`
    `VeplGrammarAccess.AtomicEventPatternElements` | `getAtomicEventPatternAccess()`
    `org.eclipse.xtext.ParserRule` | `getAtomicEventPatternRule()`
    `org.eclipse.xtext.ParserRule` | `getAtomRule()`
    `VeplGrammarAccess.BinaryOperatorElements` | `getBinaryOperatorAccess()`
    `org.eclipse.xtext.ParserRule` | `getBinaryOperatorRule()`
    `VeplGrammarAccess.ChainedExpressionElements` | `getChainedExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getChainedExpressionRule()`
    `VeplGrammarAccess.ComplexEventExpressionElements` | `getComplexEventExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getComplexEventExpressionRule()`
    `VeplGrammarAccess.ComplexEventOperatorElements` | `getComplexEventOperatorAccess()`
    `org.eclipse.xtext.ParserRule` | `getComplexEventOperatorRule()`
    `VeplGrammarAccess.ComplexEventPatternElements` | `getComplexEventPatternAccess()`
    `org.eclipse.xtext.ParserRule` | `getComplexEventPatternRule()`
    `VeplGrammarAccess.ContextElements` | `getContextAccess()`
    `VeplGrammarAccess.ContextEnumElements` | `getContextEnumAccess()`
    `org.eclipse.xtext.EnumRule` | `getContextEnumRule()`
    `org.eclipse.xtext.EnumRule` | `getContextRule()`
    `org.eclipse.xtext.TerminalRule` | `getDECIMALRule()`
    `VeplGrammarAccess.EventModelElements` | `getEventModelAccess()`
    `org.eclipse.xtext.ParserRule` | `getEventModelRule()`
    `VeplGrammarAccess.EventPatternElements` | `getEventPatternAccess()`
    `org.eclipse.xtext.ParserRule` | `getEventPatternRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.FeatureCallIDElements` | `getFeatureCallIDAccess()`
    `org.eclipse.xtext.ParserRule` | `getFeatureCallIDRule()`
    `VeplGrammarAccess.FollowsOperatorElements` | `getFollowsOperatorAccess()`
    `org.eclipse.xtext.ParserRule` | `getFollowsOperatorRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.FullJvmFormalParameterElements` | `getFullJvmFormalParameterAccess()`
    `org.eclipse.xtext.ParserRule` | `getFullJvmFormalParameterRule()`
    `VeplGrammarAccess.GenericImportElements` | `getGenericImportAccess()`
    `org.eclipse.xtext.ParserRule` | `getGenericImportRule()`
    `org.eclipse.xtext.Grammar` | `getGrammar()`
    `org.eclipse.xtext.TerminalRule` | `getHEXRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.IdOrSuperElements` | `getIdOrSuperAccess()`
    `org.eclipse.xtext.ParserRule` | `getIdOrSuperRule()`
    `org.eclipse.xtext.TerminalRule` | `getIDRule()`
    `VeplGrammarAccess.ImportElements` | `getImportAccess()`
    `org.eclipse.xtext.ParserRule` | `getImportRule()`
    `VeplGrammarAccess.InfiniteElements` | `getInfiniteAccess()`
    `org.eclipse.xtext.ParserRule` | `getInfiniteRule()`
    `org.eclipse.xtext.TerminalRule` | `getINTRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmArgumentTypeReferenceElements` | `getJvmArgumentTypeReferenceAccess()`
    `org.eclipse.xtext.ParserRule` | `getJvmArgumentTypeReferenceRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.JvmFormalParameterElements` | `getJvmFormalParameterAccess()`
    `org.eclipse.xtext.ParserRule` | `getJvmFormalParameterRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmLowerBoundElements` | `getJvmLowerBoundAccess()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmLowerBoundAndedElements` | `getJvmLowerBoundAndedAccess()`
    `org.eclipse.xtext.ParserRule` | `getJvmLowerBoundAndedRule()`
    `org.eclipse.xtext.ParserRule` | `getJvmLowerBoundRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmParameterizedTypeReferenceElements` | `getJvmParameterizedTypeReferenceAccess()`
    `org.eclipse.xtext.ParserRule` | `getJvmParameterizedTypeReferenceRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmTypeParameterElements` | `getJvmTypeParameterAccess()`
    `org.eclipse.xtext.ParserRule` | `getJvmTypeParameterRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmTypeReferenceElements` | `getJvmTypeReferenceAccess()`
    `org.eclipse.xtext.ParserRule` | `getJvmTypeReferenceRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmUpperBoundElements` | `getJvmUpperBoundAccess()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmUpperBoundAndedElements` | `getJvmUpperBoundAndedAccess()`
    `org.eclipse.xtext.ParserRule` | `getJvmUpperBoundAndedRule()`
    `org.eclipse.xtext.ParserRule` | `getJvmUpperBoundRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmWildcardTypeReferenceElements` | `getJvmWildcardTypeReferenceAccess()`
    `org.eclipse.xtext.ParserRule` | `getJvmWildcardTypeReferenceRule()`
    `org.eclipse.xtext.TerminalRule` | `getML_COMMENTRule()`
    `VeplGrammarAccess.ModelElementElements` | `getModelElementAccess()`
    `org.eclipse.xtext.ParserRule` | `getModelElementRule()`
    `VeplGrammarAccess.MultiplicityElements` | `getMultiplicityAccess()`
    `org.eclipse.xtext.ParserRule` | `getMultiplicityRule()`
    `VeplGrammarAccess.NegatedPrimaryElements` | `getNegatedPrimaryAccess()`
    `org.eclipse.xtext.ParserRule` | `getNegatedPrimaryRule()`
    `VeplGrammarAccess.NegOperatorElements` | `getNegOperatorAccess()`
    `org.eclipse.xtext.ParserRule` | `getNegOperatorRule()`
    `VeplGrammarAccess.NormalPrimaryElements` | `getNormalPrimaryAccess()`
    `org.eclipse.xtext.ParserRule` | `getNormalPrimaryRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.NumberElements` | `getNumberAccess()`
    `org.eclipse.xtext.ParserRule` | `getNumberRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpAddElements` | `getOpAddAccess()`
    `org.eclipse.xtext.ParserRule` | `getOpAddRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpAndElements` | `getOpAndAccess()`
    `org.eclipse.xtext.ParserRule` | `getOpAndRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpCompareElements` | `getOpCompareAccess()`
    `org.eclipse.xtext.ParserRule` | `getOpCompareRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpEqualityElements` | `getOpEqualityAccess()`
    `org.eclipse.xtext.ParserRule` | `getOpEqualityRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpMultiElements` | `getOpMultiAccess()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpMultiAssignElements` | `getOpMultiAssignAccess()`
    `org.eclipse.xtext.ParserRule` | `getOpMultiAssignRule()`
    `org.eclipse.xtext.ParserRule` | `getOpMultiRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpOrElements` | `getOpOrAccess()`
    `org.eclipse.xtext.ParserRule` | `getOpOrRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpOtherElements` | `getOpOtherAccess()`
    `org.eclipse.xtext.ParserRule` | `getOpOtherRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpPostfixElements` | `getOpPostfixAccess()`
    `org.eclipse.xtext.ParserRule` | `getOpPostfixRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpSingleAssignElements` | `getOpSingleAssignAccess()`
    `org.eclipse.xtext.ParserRule` | `getOpSingleAssignRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpUnaryElements` | `getOpUnaryAccess()`
    `org.eclipse.xtext.ParserRule` | `getOpUnaryRule()`
    `VeplGrammarAccess.OrOperatorElements` | `getOrOperatorAccess()`
    `org.eclipse.xtext.ParserRule` | `getOrOperatorRule()`
    `VeplGrammarAccess.ParameterizedPatternCallElements` | `getParameterizedPatternCallAccess()`
    `org.eclipse.xtext.ParserRule` | `getParameterizedPatternCallRule()`
    `VeplGrammarAccess.ParametrizedQueryReferenceElements` | `getParametrizedQueryReferenceAccess()`
    `org.eclipse.xtext.ParserRule` | `getParametrizedQueryReferenceRule()`
    `VeplGrammarAccess.PatternCallParameterElements` | `getPatternCallParameterAccess()`
    `VeplGrammarAccess.PatternCallParameterListElements` | `getPatternCallParameterListAccess()`
    `org.eclipse.xtext.ParserRule` | `getPatternCallParameterListRule()`
    `org.eclipse.xtext.ParserRule` | `getPatternCallParameterRule()`
    `VeplGrammarAccess.PrimaryElements` | `getPrimaryAccess()`
    `org.eclipse.xtext.ParserRule` | `getPrimaryRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.QualifiedNameElements` | `getQualifiedNameAccess()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.QualifiedNameInStaticImportElements` | `getQualifiedNameInStaticImportAccess()`
    `org.eclipse.xtext.ParserRule` | `getQualifiedNameInStaticImportRule()`
    `org.eclipse.xtext.ParserRule` | `getQualifiedNameRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.QualifiedNameWithWildcardElements` | `getQualifiedNameWithWildcardAccess()`
    `org.eclipse.xtext.ParserRule` | `getQualifiedNameWithWildcardRule()`
    `VeplGrammarAccess.QueryImportElements` | `getQueryImportAccess()`
    `org.eclipse.xtext.ParserRule` | `getQueryImportRule()`
    `VeplGrammarAccess.QueryResultChangeEventPatternElements` | `getQueryResultChangeEventPatternAccess()`
    `org.eclipse.xtext.ParserRule` | `getQueryResultChangeEventPatternRule()`
    `VeplGrammarAccess.QueryResultChangeTypeElements` | `getQueryResultChangeTypeAccess()`
    `org.eclipse.xtext.EnumRule` | `getQueryResultChangeTypeRule()`
    `VeplGrammarAccess.RuleElements` | `getRuleAccess()`
    `org.eclipse.xtext.ParserRule` | `getRuleRule()`
    `org.eclipse.xtext.TerminalRule` | `getSL_COMMENTRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.StaticQualifierElements` | `getStaticQualifierAccess()`
    `org.eclipse.xtext.ParserRule` | `getStaticQualifierRule()`
    `org.eclipse.xtext.TerminalRule` | `getSTRINGRule()`
    `VeplGrammarAccess.TimewindowElements` | `getTimewindowAccess()`
    `org.eclipse.xtext.ParserRule` | `getTimewindowRule()`
    `VeplGrammarAccess.TraitElements` | `getTraitAccess()`
    `VeplGrammarAccess.TraitListElements` | `getTraitListAccess()`
    `org.eclipse.xtext.ParserRule` | `getTraitListRule()`
    `org.eclipse.xtext.ParserRule` | `getTraitRule()`
    `VeplGrammarAccess.TraitTypedParameterListElements` | `getTraitTypedParameterListAccess()`
    `org.eclipse.xtext.ParserRule` | `getTraitTypedParameterListRule()`
    `VeplGrammarAccess.TypedParameterElements` | `getTypedParameterAccess()`
    `VeplGrammarAccess.TypedParameterListElements` | `getTypedParameterListAccess()`
    `org.eclipse.xtext.ParserRule` | `getTypedParameterListRule()`
    `org.eclipse.xtext.ParserRule` | `getTypedParameterRule()`
    `VeplGrammarAccess.TypedParameterWithDefaultValueElements` | `getTypedParameterWithDefaultValueAccess()`
    `org.eclipse.xtext.ParserRule` | `getTypedParameterWithDefaultValueRule()`
    `VeplGrammarAccess.UnaryOperatorElements` | `getUnaryOperatorAccess()`
    `org.eclipse.xtext.ParserRule` | `getUnaryOperatorRule()`
    `VeplGrammarAccess.UntilOperatorElements` | `getUntilOperatorAccess()`
    `org.eclipse.xtext.ParserRule` | `getUntilOperatorRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.ValidIDElements` | `getValidIDAccess()`
    `org.eclipse.xtext.ParserRule` | `getValidIDRule()`
    `org.eclipse.xtext.TerminalRule` | `getWSRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XAdditiveExpressionElements` | `getXAdditiveExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXAdditiveExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XAndExpressionElements` | `getXAndExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXAndExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XAssignmentElements` | `getXAssignmentAccess()`
    `org.eclipse.xtext.ParserRule` | `getXAssignmentRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess` | `getXbaseGrammarAccess()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XBasicForLoopExpressionElements` | `getXBasicForLoopExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXBasicForLoopExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XBlockExpressionElements` | `getXBlockExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXBlockExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XBooleanLiteralElements` | `getXBooleanLiteralAccess()`
    `org.eclipse.xtext.ParserRule` | `getXBooleanLiteralRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCasePartElements` | `getXCasePartAccess()`
    `org.eclipse.xtext.ParserRule` | `getXCasePartRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCastedExpressionElements` | `getXCastedExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXCastedExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCatchClauseElements` | `getXCatchClauseAccess()`
    `org.eclipse.xtext.ParserRule` | `getXCatchClauseRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XClosureElements` | `getXClosureAccess()`
    `org.eclipse.xtext.ParserRule` | `getXClosureRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCollectionLiteralElements` | `getXCollectionLiteralAccess()`
    `org.eclipse.xtext.ParserRule` | `getXCollectionLiteralRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XConstructorCallElements` | `getXConstructorCallAccess()`
    `org.eclipse.xtext.ParserRule` | `getXConstructorCallRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XDoWhileExpressionElements` | `getXDoWhileExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXDoWhileExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XEqualityExpressionElements` | `getXEqualityExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXEqualityExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XExpressionElements` | `getXExpressionAccess()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XExpressionInClosureElements` | `getXExpressionInClosureAccess()`
    `org.eclipse.xtext.ParserRule` | `getXExpressionInClosureRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XExpressionOrVarDeclarationElements` | `getXExpressionOrVarDeclarationAccess()`
    `org.eclipse.xtext.ParserRule` | `getXExpressionOrVarDeclarationRule()`
    `org.eclipse.xtext.ParserRule` | `getXExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XFeatureCallElements` | `getXFeatureCallAccess()`
    `org.eclipse.xtext.ParserRule` | `getXFeatureCallRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XForLoopExpressionElements` | `getXForLoopExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXForLoopExpressionRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.XFunctionTypeRefElements` | `getXFunctionTypeRefAccess()`
    `org.eclipse.xtext.ParserRule` | `getXFunctionTypeRefRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XIfExpressionElements` | `getXIfExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXIfExpressionRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.XImportDeclarationElements` | `getXImportDeclarationAccess()`
    `org.eclipse.xtext.ParserRule` | `getXImportDeclarationRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess.XImportSectionElements` | `getXImportSectionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXImportSectionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XListLiteralElements` | `getXListLiteralAccess()`
    `org.eclipse.xtext.ParserRule` | `getXListLiteralRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XLiteralElements` | `getXLiteralAccess()`
    `org.eclipse.xtext.ParserRule` | `getXLiteralRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XMemberFeatureCallElements` | `getXMemberFeatureCallAccess()`
    `org.eclipse.xtext.ParserRule` | `getXMemberFeatureCallRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XMultiplicativeExpressionElements` | `getXMultiplicativeExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXMultiplicativeExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XNullLiteralElements` | `getXNullLiteralAccess()`
    `org.eclipse.xtext.ParserRule` | `getXNullLiteralRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XNumberLiteralElements` | `getXNumberLiteralAccess()`
    `org.eclipse.xtext.ParserRule` | `getXNumberLiteralRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XOrExpressionElements` | `getXOrExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXOrExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XOtherOperatorExpressionElements` | `getXOtherOperatorExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXOtherOperatorExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XParenthesizedExpressionElements` | `getXParenthesizedExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXParenthesizedExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XPostfixOperationElements` | `getXPostfixOperationAccess()`
    `org.eclipse.xtext.ParserRule` | `getXPostfixOperationRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XPrimaryExpressionElements` | `getXPrimaryExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXPrimaryExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XRelationalExpressionElements` | `getXRelationalExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXRelationalExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XReturnExpressionElements` | `getXReturnExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXReturnExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XSetLiteralElements` | `getXSetLiteralAccess()`
    `org.eclipse.xtext.ParserRule` | `getXSetLiteralRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XShortClosureElements` | `getXShortClosureAccess()`
    `org.eclipse.xtext.ParserRule` | `getXShortClosureRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XStringLiteralElements` | `getXStringLiteralAccess()`
    `org.eclipse.xtext.ParserRule` | `getXStringLiteralRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XSwitchExpressionElements` | `getXSwitchExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXSwitchExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XSynchronizedExpressionElements` | `getXSynchronizedExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXSynchronizedExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XThrowExpressionElements` | `getXThrowExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXThrowExpressionRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XTryCatchFinallyExpressionElements` | `getXTryCatchFinallyExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXTryCatchFinallyExpressionRule()`
    `org.eclipse.xtext.xbase.services.XtypeGrammarAccess` | `getXtypeGrammarAccess()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XTypeLiteralElements` | `getXTypeLiteralAccess()`
    `org.eclipse.xtext.ParserRule` | `getXTypeLiteralRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XUnaryOperationElements` | `getXUnaryOperationAccess()`
    `org.eclipse.xtext.ParserRule` | `getXUnaryOperationRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XVariableDeclarationElements` | `getXVariableDeclarationAccess()`
    `org.eclipse.xtext.ParserRule` | `getXVariableDeclarationRule()`
    `org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XWhileExpressionElements` | `getXWhileExpressionAccess()`
    `org.eclipse.xtext.ParserRule` | `getXWhileExpressionRule()`
    `protected org.eclipse.xtext.Grammar` | `internalFindGrammar(org.eclipse.xtext.service.GrammarProvider grammarProvider)`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.xtext.IGrammarAccess

      `findKeywordPairs, findKeywords, findRuleCalls`

- - ### Constructor Detail

    - #### VeplGrammarAccess

          @Inject
          public VeplGrammarAccess(org.eclipse.xtext.service.GrammarProvider grammarProvider,
                                           org.eclipse.xtext.xbase.services.XbaseGrammarAccess gaXbase,
                                           org.eclipse.xtext.xbase.services.XtypeGrammarAccess gaXtype)

  - ### Method Detail

    - #### internalFindGrammar

          protected org.eclipse.xtext.Grammar internalFindGrammar(org.eclipse.xtext.service.GrammarProvider grammarProvider)

    - #### getGrammar

          public org.eclipse.xtext.Grammar getGrammar()

    - #### getXbaseGrammarAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess getXbaseGrammarAccess()

    - #### getXtypeGrammarAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess getXtypeGrammarAccess()

    - #### getEventModelAccess

          public VeplGrammarAccess.EventModelElements getEventModelAccess()

    - #### getEventModelRule

          public org.eclipse.xtext.ParserRule getEventModelRule()

    - #### getImportAccess

          public VeplGrammarAccess.ImportElements getImportAccess()

    - #### getImportRule

          public org.eclipse.xtext.ParserRule getImportRule()

    - #### getGenericImportAccess

          public VeplGrammarAccess.GenericImportElements getGenericImportAccess()

    - #### getGenericImportRule

          public org.eclipse.xtext.ParserRule getGenericImportRule()

    - #### getQueryImportAccess

          public VeplGrammarAccess.QueryImportElements getQueryImportAccess()

    - #### getQueryImportRule

          public org.eclipse.xtext.ParserRule getQueryImportRule()

    - #### getContextEnumAccess

          public VeplGrammarAccess.ContextEnumElements getContextEnumAccess()

    - #### getContextEnumRule

          public org.eclipse.xtext.EnumRule getContextEnumRule()

    - #### getContextAccess

          public VeplGrammarAccess.ContextElements getContextAccess()

    - #### getContextRule

          public org.eclipse.xtext.EnumRule getContextRule()

    - #### getModelElementAccess

          public VeplGrammarAccess.ModelElementElements getModelElementAccess()

    - #### getModelElementRule

          public org.eclipse.xtext.ParserRule getModelElementRule()

    - #### getTraitAccess

          public VeplGrammarAccess.TraitElements getTraitAccess()

    - #### getTraitRule

          public org.eclipse.xtext.ParserRule getTraitRule()

    - #### getEventPatternAccess

          public VeplGrammarAccess.EventPatternElements getEventPatternAccess()

    - #### getEventPatternRule

          public org.eclipse.xtext.ParserRule getEventPatternRule()

    - #### getAbstractAtomicEventPatternAccess

          public VeplGrammarAccess.AbstractAtomicEventPatternElements getAbstractAtomicEventPatternAccess()

    - #### getAbstractAtomicEventPatternRule

          public org.eclipse.xtext.ParserRule getAbstractAtomicEventPatternRule()

    - #### getAtomicEventPatternAccess

          public VeplGrammarAccess.AtomicEventPatternElements getAtomicEventPatternAccess()

    - #### getAtomicEventPatternRule

          public org.eclipse.xtext.ParserRule getAtomicEventPatternRule()

    - #### getQueryResultChangeEventPatternAccess

          public VeplGrammarAccess.QueryResultChangeEventPatternElements getQueryResultChangeEventPatternAccess()

    - #### getQueryResultChangeEventPatternRule

          public org.eclipse.xtext.ParserRule getQueryResultChangeEventPatternRule()

    - #### getComplexEventPatternAccess

          public VeplGrammarAccess.ComplexEventPatternElements getComplexEventPatternAccess()

    - #### getComplexEventPatternRule

          public org.eclipse.xtext.ParserRule getComplexEventPatternRule()

    - #### getRuleAccess

          public VeplGrammarAccess.RuleElements getRuleAccess()

    - #### getRuleRule

          public org.eclipse.xtext.ParserRule getRuleRule()

    - #### getQueryResultChangeTypeAccess

          public VeplGrammarAccess.QueryResultChangeTypeElements getQueryResultChangeTypeAccess()

    - #### getQueryResultChangeTypeRule

          public org.eclipse.xtext.EnumRule getQueryResultChangeTypeRule()

    - #### getTraitListAccess

          public VeplGrammarAccess.TraitListElements getTraitListAccess()

    - #### getTraitListRule

          public org.eclipse.xtext.ParserRule getTraitListRule()

    - #### getTypedParameterListAccess

          public VeplGrammarAccess.TypedParameterListElements getTypedParameterListAccess()

    - #### getTypedParameterListRule

          public org.eclipse.xtext.ParserRule getTypedParameterListRule()

    - #### getTypedParameterAccess

          public VeplGrammarAccess.TypedParameterElements getTypedParameterAccess()

    - #### getTypedParameterRule

          public org.eclipse.xtext.ParserRule getTypedParameterRule()

    - #### getTypedParameterWithDefaultValueAccess

          public VeplGrammarAccess.TypedParameterWithDefaultValueElements getTypedParameterWithDefaultValueAccess()

    - #### getTypedParameterWithDefaultValueRule

          public org.eclipse.xtext.ParserRule getTypedParameterWithDefaultValueRule()

    - #### getTraitTypedParameterListAccess

          public VeplGrammarAccess.TraitTypedParameterListElements getTraitTypedParameterListAccess()

    - #### getTraitTypedParameterListRule

          public org.eclipse.xtext.ParserRule getTraitTypedParameterListRule()

    - #### getParametrizedQueryReferenceAccess

          public VeplGrammarAccess.ParametrizedQueryReferenceElements getParametrizedQueryReferenceAccess()

    - #### getParametrizedQueryReferenceRule

          public org.eclipse.xtext.ParserRule getParametrizedQueryReferenceRule()

    - #### getComplexEventExpressionAccess

          public VeplGrammarAccess.ComplexEventExpressionElements getComplexEventExpressionAccess()

    - #### getComplexEventExpressionRule

          public org.eclipse.xtext.ParserRule getComplexEventExpressionRule()

    - #### getChainedExpressionAccess

          public VeplGrammarAccess.ChainedExpressionElements getChainedExpressionAccess()

    - #### getChainedExpressionRule

          public org.eclipse.xtext.ParserRule getChainedExpressionRule()

    - #### getPrimaryAccess

          public VeplGrammarAccess.PrimaryElements getPrimaryAccess()

    - #### getPrimaryRule

          public org.eclipse.xtext.ParserRule getPrimaryRule()

    - #### getNormalPrimaryAccess

          public VeplGrammarAccess.NormalPrimaryElements getNormalPrimaryAccess()

    - #### getNormalPrimaryRule

          public org.eclipse.xtext.ParserRule getNormalPrimaryRule()

    - #### getNegatedPrimaryAccess

          public VeplGrammarAccess.NegatedPrimaryElements getNegatedPrimaryAccess()

    - #### getNegatedPrimaryRule

          public org.eclipse.xtext.ParserRule getNegatedPrimaryRule()

    - #### getAtomAccess

          public VeplGrammarAccess.AtomElements getAtomAccess()

    - #### getAtomRule

          public org.eclipse.xtext.ParserRule getAtomRule()

    - #### getAbstractMultiplicityAccess

          public VeplGrammarAccess.AbstractMultiplicityElements getAbstractMultiplicityAccess()

    - #### getAbstractMultiplicityRule

          public org.eclipse.xtext.ParserRule getAbstractMultiplicityRule()

    - #### getMultiplicityAccess

          public VeplGrammarAccess.MultiplicityElements getMultiplicityAccess()

    - #### getMultiplicityRule

          public org.eclipse.xtext.ParserRule getMultiplicityRule()

    - #### getInfiniteAccess

          public VeplGrammarAccess.InfiniteElements getInfiniteAccess()

    - #### getInfiniteRule

          public org.eclipse.xtext.ParserRule getInfiniteRule()

    - #### getAtLeastOneAccess

          public VeplGrammarAccess.AtLeastOneElements getAtLeastOneAccess()

    - #### getAtLeastOneRule

          public org.eclipse.xtext.ParserRule getAtLeastOneRule()

    - #### getTimewindowAccess

          public VeplGrammarAccess.TimewindowElements getTimewindowAccess()

    - #### getTimewindowRule

          public org.eclipse.xtext.ParserRule getTimewindowRule()

    - #### getParameterizedPatternCallAccess

          public VeplGrammarAccess.ParameterizedPatternCallElements getParameterizedPatternCallAccess()

    - #### getParameterizedPatternCallRule

          public org.eclipse.xtext.ParserRule getParameterizedPatternCallRule()

    - #### getPatternCallParameterListAccess

          public VeplGrammarAccess.PatternCallParameterListElements getPatternCallParameterListAccess()

    - #### getPatternCallParameterListRule

          public org.eclipse.xtext.ParserRule getPatternCallParameterListRule()

    - #### getPatternCallParameterAccess

          public VeplGrammarAccess.PatternCallParameterElements getPatternCallParameterAccess()

    - #### getPatternCallParameterRule

          public org.eclipse.xtext.ParserRule getPatternCallParameterRule()

    - #### getComplexEventOperatorAccess

          public VeplGrammarAccess.ComplexEventOperatorElements getComplexEventOperatorAccess()

    - #### getComplexEventOperatorRule

          public org.eclipse.xtext.ParserRule getComplexEventOperatorRule()

    - #### getBinaryOperatorAccess

          public VeplGrammarAccess.BinaryOperatorElements getBinaryOperatorAccess()

    - #### getBinaryOperatorRule

          public org.eclipse.xtext.ParserRule getBinaryOperatorRule()

    - #### getUnaryOperatorAccess

          public VeplGrammarAccess.UnaryOperatorElements getUnaryOperatorAccess()

    - #### getUnaryOperatorRule

          public org.eclipse.xtext.ParserRule getUnaryOperatorRule()

    - #### getFollowsOperatorAccess

          public VeplGrammarAccess.FollowsOperatorElements getFollowsOperatorAccess()

    - #### getFollowsOperatorRule

          public org.eclipse.xtext.ParserRule getFollowsOperatorRule()

    - #### getOrOperatorAccess

          public VeplGrammarAccess.OrOperatorElements getOrOperatorAccess()

    - #### getOrOperatorRule

          public org.eclipse.xtext.ParserRule getOrOperatorRule()

    - #### getAndOperatorAccess

          public VeplGrammarAccess.AndOperatorElements getAndOperatorAccess()

    - #### getAndOperatorRule

          public org.eclipse.xtext.ParserRule getAndOperatorRule()

    - #### getUntilOperatorAccess

          public VeplGrammarAccess.UntilOperatorElements getUntilOperatorAccess()

    - #### getUntilOperatorRule

          public org.eclipse.xtext.ParserRule getUntilOperatorRule()

    - #### getNegOperatorAccess

          public VeplGrammarAccess.NegOperatorElements getNegOperatorAccess()

    - #### getNegOperatorRule

          public org.eclipse.xtext.ParserRule getNegOperatorRule()

    - #### getXExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XExpressionElements getXExpressionAccess()

    - #### getXExpressionRule

          public org.eclipse.xtext.ParserRule getXExpressionRule()

    - #### getXAssignmentAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XAssignmentElements getXAssignmentAccess()

    - #### getXAssignmentRule

          public org.eclipse.xtext.ParserRule getXAssignmentRule()

    - #### getOpSingleAssignAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpSingleAssignElements getOpSingleAssignAccess()

    - #### getOpSingleAssignRule

          public org.eclipse.xtext.ParserRule getOpSingleAssignRule()

    - #### getOpMultiAssignAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpMultiAssignElements getOpMultiAssignAccess()

    - #### getOpMultiAssignRule

          public org.eclipse.xtext.ParserRule getOpMultiAssignRule()

    - #### getXOrExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XOrExpressionElements getXOrExpressionAccess()

    - #### getXOrExpressionRule

          public org.eclipse.xtext.ParserRule getXOrExpressionRule()

    - #### getOpOrAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpOrElements getOpOrAccess()

    - #### getOpOrRule

          public org.eclipse.xtext.ParserRule getOpOrRule()

    - #### getXAndExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XAndExpressionElements getXAndExpressionAccess()

    - #### getXAndExpressionRule

          public org.eclipse.xtext.ParserRule getXAndExpressionRule()

    - #### getOpAndAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpAndElements getOpAndAccess()

    - #### getOpAndRule

          public org.eclipse.xtext.ParserRule getOpAndRule()

    - #### getXEqualityExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XEqualityExpressionElements getXEqualityExpressionAccess()

    - #### getXEqualityExpressionRule

          public org.eclipse.xtext.ParserRule getXEqualityExpressionRule()

    - #### getOpEqualityAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpEqualityElements getOpEqualityAccess()

    - #### getOpEqualityRule

          public org.eclipse.xtext.ParserRule getOpEqualityRule()

    - #### getXRelationalExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XRelationalExpressionElements getXRelationalExpressionAccess()

    - #### getXRelationalExpressionRule

          public org.eclipse.xtext.ParserRule getXRelationalExpressionRule()

    - #### getOpCompareAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpCompareElements getOpCompareAccess()

    - #### getOpCompareRule

          public org.eclipse.xtext.ParserRule getOpCompareRule()

    - #### getXOtherOperatorExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XOtherOperatorExpressionElements getXOtherOperatorExpressionAccess()

    - #### getXOtherOperatorExpressionRule

          public org.eclipse.xtext.ParserRule getXOtherOperatorExpressionRule()

    - #### getOpOtherAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpOtherElements getOpOtherAccess()

    - #### getOpOtherRule

          public org.eclipse.xtext.ParserRule getOpOtherRule()

    - #### getXAdditiveExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XAdditiveExpressionElements getXAdditiveExpressionAccess()

    - #### getXAdditiveExpressionRule

          public org.eclipse.xtext.ParserRule getXAdditiveExpressionRule()

    - #### getOpAddAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpAddElements getOpAddAccess()

    - #### getOpAddRule

          public org.eclipse.xtext.ParserRule getOpAddRule()

    - #### getXMultiplicativeExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XMultiplicativeExpressionElements getXMultiplicativeExpressionAccess()

    - #### getXMultiplicativeExpressionRule

          public org.eclipse.xtext.ParserRule getXMultiplicativeExpressionRule()

    - #### getOpMultiAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpMultiElements getOpMultiAccess()

    - #### getOpMultiRule

          public org.eclipse.xtext.ParserRule getOpMultiRule()

    - #### getXUnaryOperationAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XUnaryOperationElements getXUnaryOperationAccess()

    - #### getXUnaryOperationRule

          public org.eclipse.xtext.ParserRule getXUnaryOperationRule()

    - #### getOpUnaryAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpUnaryElements getOpUnaryAccess()

    - #### getOpUnaryRule

          public org.eclipse.xtext.ParserRule getOpUnaryRule()

    - #### getXCastedExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCastedExpressionElements getXCastedExpressionAccess()

    - #### getXCastedExpressionRule

          public org.eclipse.xtext.ParserRule getXCastedExpressionRule()

    - #### getXPostfixOperationAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XPostfixOperationElements getXPostfixOperationAccess()

    - #### getXPostfixOperationRule

          public org.eclipse.xtext.ParserRule getXPostfixOperationRule()

    - #### getOpPostfixAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.OpPostfixElements getOpPostfixAccess()

    - #### getOpPostfixRule

          public org.eclipse.xtext.ParserRule getOpPostfixRule()

    - #### getXMemberFeatureCallAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XMemberFeatureCallElements getXMemberFeatureCallAccess()

    - #### getXMemberFeatureCallRule

          public org.eclipse.xtext.ParserRule getXMemberFeatureCallRule()

    - #### getXPrimaryExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XPrimaryExpressionElements getXPrimaryExpressionAccess()

    - #### getXPrimaryExpressionRule

          public org.eclipse.xtext.ParserRule getXPrimaryExpressionRule()

    - #### getXLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XLiteralElements getXLiteralAccess()

    - #### getXLiteralRule

          public org.eclipse.xtext.ParserRule getXLiteralRule()

    - #### getXCollectionLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCollectionLiteralElements getXCollectionLiteralAccess()

    - #### getXCollectionLiteralRule

          public org.eclipse.xtext.ParserRule getXCollectionLiteralRule()

    - #### getXSetLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XSetLiteralElements getXSetLiteralAccess()

    - #### getXSetLiteralRule

          public org.eclipse.xtext.ParserRule getXSetLiteralRule()

    - #### getXListLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XListLiteralElements getXListLiteralAccess()

    - #### getXListLiteralRule

          public org.eclipse.xtext.ParserRule getXListLiteralRule()

    - #### getXClosureAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XClosureElements getXClosureAccess()

    - #### getXClosureRule

          public org.eclipse.xtext.ParserRule getXClosureRule()

    - #### getXExpressionInClosureAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XExpressionInClosureElements getXExpressionInClosureAccess()

    - #### getXExpressionInClosureRule

          public org.eclipse.xtext.ParserRule getXExpressionInClosureRule()

    - #### getXShortClosureAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XShortClosureElements getXShortClosureAccess()

    - #### getXShortClosureRule

          public org.eclipse.xtext.ParserRule getXShortClosureRule()

    - #### getXParenthesizedExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XParenthesizedExpressionElements getXParenthesizedExpressionAccess()

    - #### getXParenthesizedExpressionRule

          public org.eclipse.xtext.ParserRule getXParenthesizedExpressionRule()

    - #### getXIfExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XIfExpressionElements getXIfExpressionAccess()

    - #### getXIfExpressionRule

          public org.eclipse.xtext.ParserRule getXIfExpressionRule()

    - #### getXSwitchExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XSwitchExpressionElements getXSwitchExpressionAccess()

    - #### getXSwitchExpressionRule

          public org.eclipse.xtext.ParserRule getXSwitchExpressionRule()

    - #### getXCasePartAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCasePartElements getXCasePartAccess()

    - #### getXCasePartRule

          public org.eclipse.xtext.ParserRule getXCasePartRule()

    - #### getXForLoopExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XForLoopExpressionElements getXForLoopExpressionAccess()

    - #### getXForLoopExpressionRule

          public org.eclipse.xtext.ParserRule getXForLoopExpressionRule()

    - #### getXBasicForLoopExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XBasicForLoopExpressionElements getXBasicForLoopExpressionAccess()

    - #### getXBasicForLoopExpressionRule

          public org.eclipse.xtext.ParserRule getXBasicForLoopExpressionRule()

    - #### getXWhileExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XWhileExpressionElements getXWhileExpressionAccess()

    - #### getXWhileExpressionRule

          public org.eclipse.xtext.ParserRule getXWhileExpressionRule()

    - #### getXDoWhileExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XDoWhileExpressionElements getXDoWhileExpressionAccess()

    - #### getXDoWhileExpressionRule

          public org.eclipse.xtext.ParserRule getXDoWhileExpressionRule()

    - #### getXBlockExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XBlockExpressionElements getXBlockExpressionAccess()

    - #### getXBlockExpressionRule

          public org.eclipse.xtext.ParserRule getXBlockExpressionRule()

    - #### getXExpressionOrVarDeclarationAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XExpressionOrVarDeclarationElements getXExpressionOrVarDeclarationAccess()

    - #### getXExpressionOrVarDeclarationRule

          public org.eclipse.xtext.ParserRule getXExpressionOrVarDeclarationRule()

    - #### getXVariableDeclarationAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XVariableDeclarationElements getXVariableDeclarationAccess()

    - #### getXVariableDeclarationRule

          public org.eclipse.xtext.ParserRule getXVariableDeclarationRule()

    - #### getJvmFormalParameterAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.JvmFormalParameterElements getJvmFormalParameterAccess()

    - #### getJvmFormalParameterRule

          public org.eclipse.xtext.ParserRule getJvmFormalParameterRule()

    - #### getFullJvmFormalParameterAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.FullJvmFormalParameterElements getFullJvmFormalParameterAccess()

    - #### getFullJvmFormalParameterRule

          public org.eclipse.xtext.ParserRule getFullJvmFormalParameterRule()

    - #### getXFeatureCallAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XFeatureCallElements getXFeatureCallAccess()

    - #### getXFeatureCallRule

          public org.eclipse.xtext.ParserRule getXFeatureCallRule()

    - #### getFeatureCallIDAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.FeatureCallIDElements getFeatureCallIDAccess()

    - #### getFeatureCallIDRule

          public org.eclipse.xtext.ParserRule getFeatureCallIDRule()

    - #### getIdOrSuperAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.IdOrSuperElements getIdOrSuperAccess()

    - #### getIdOrSuperRule

          public org.eclipse.xtext.ParserRule getIdOrSuperRule()

    - #### getXConstructorCallAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XConstructorCallElements getXConstructorCallAccess()

    - #### getXConstructorCallRule

          public org.eclipse.xtext.ParserRule getXConstructorCallRule()

    - #### getXBooleanLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XBooleanLiteralElements getXBooleanLiteralAccess()

    - #### getXBooleanLiteralRule

          public org.eclipse.xtext.ParserRule getXBooleanLiteralRule()

    - #### getXNullLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XNullLiteralElements getXNullLiteralAccess()

    - #### getXNullLiteralRule

          public org.eclipse.xtext.ParserRule getXNullLiteralRule()

    - #### getXNumberLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XNumberLiteralElements getXNumberLiteralAccess()

    - #### getXNumberLiteralRule

          public org.eclipse.xtext.ParserRule getXNumberLiteralRule()

    - #### getXStringLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XStringLiteralElements getXStringLiteralAccess()

    - #### getXStringLiteralRule

          public org.eclipse.xtext.ParserRule getXStringLiteralRule()

    - #### getXTypeLiteralAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XTypeLiteralElements getXTypeLiteralAccess()

    - #### getXTypeLiteralRule

          public org.eclipse.xtext.ParserRule getXTypeLiteralRule()

    - #### getXThrowExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XThrowExpressionElements getXThrowExpressionAccess()

    - #### getXThrowExpressionRule

          public org.eclipse.xtext.ParserRule getXThrowExpressionRule()

    - #### getXReturnExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XReturnExpressionElements getXReturnExpressionAccess()

    - #### getXReturnExpressionRule

          public org.eclipse.xtext.ParserRule getXReturnExpressionRule()

    - #### getXTryCatchFinallyExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XTryCatchFinallyExpressionElements getXTryCatchFinallyExpressionAccess()

    - #### getXTryCatchFinallyExpressionRule

          public org.eclipse.xtext.ParserRule getXTryCatchFinallyExpressionRule()

    - #### getXSynchronizedExpressionAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XSynchronizedExpressionElements getXSynchronizedExpressionAccess()

    - #### getXSynchronizedExpressionRule

          public org.eclipse.xtext.ParserRule getXSynchronizedExpressionRule()

    - #### getXCatchClauseAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.XCatchClauseElements getXCatchClauseAccess()

    - #### getXCatchClauseRule

          public org.eclipse.xtext.ParserRule getXCatchClauseRule()

    - #### getQualifiedNameAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.QualifiedNameElements getQualifiedNameAccess()

    - #### getQualifiedNameRule

          public org.eclipse.xtext.ParserRule getQualifiedNameRule()

    - #### getNumberAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.NumberElements getNumberAccess()

    - #### getNumberRule

          public org.eclipse.xtext.ParserRule getNumberRule()

    - #### getStaticQualifierAccess

          public org.eclipse.xtext.xbase.services.XbaseGrammarAccess.StaticQualifierElements getStaticQualifierAccess()

    - #### getStaticQualifierRule

          public org.eclipse.xtext.ParserRule getStaticQualifierRule()

    - #### getHEXRule

          public org.eclipse.xtext.TerminalRule getHEXRule()

    - #### getINTRule

          public org.eclipse.xtext.TerminalRule getINTRule()

    - #### getDECIMALRule

          public org.eclipse.xtext.TerminalRule getDECIMALRule()

    - #### getJvmTypeReferenceAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmTypeReferenceElements getJvmTypeReferenceAccess()

    - #### getJvmTypeReferenceRule

          public org.eclipse.xtext.ParserRule getJvmTypeReferenceRule()

    - #### getArrayBracketsAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.ArrayBracketsElements getArrayBracketsAccess()

    - #### getArrayBracketsRule

          public org.eclipse.xtext.ParserRule getArrayBracketsRule()

    - #### getXFunctionTypeRefAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.XFunctionTypeRefElements getXFunctionTypeRefAccess()

    - #### getXFunctionTypeRefRule

          public org.eclipse.xtext.ParserRule getXFunctionTypeRefRule()

    - #### getJvmParameterizedTypeReferenceAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmParameterizedTypeReferenceElements getJvmParameterizedTypeReferenceAccess()

    - #### getJvmParameterizedTypeReferenceRule

          public org.eclipse.xtext.ParserRule getJvmParameterizedTypeReferenceRule()

    - #### getJvmArgumentTypeReferenceAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmArgumentTypeReferenceElements getJvmArgumentTypeReferenceAccess()

    - #### getJvmArgumentTypeReferenceRule

          public org.eclipse.xtext.ParserRule getJvmArgumentTypeReferenceRule()

    - #### getJvmWildcardTypeReferenceAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmWildcardTypeReferenceElements getJvmWildcardTypeReferenceAccess()

    - #### getJvmWildcardTypeReferenceRule

          public org.eclipse.xtext.ParserRule getJvmWildcardTypeReferenceRule()

    - #### getJvmUpperBoundAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmUpperBoundElements getJvmUpperBoundAccess()

    - #### getJvmUpperBoundRule

          public org.eclipse.xtext.ParserRule getJvmUpperBoundRule()

    - #### getJvmUpperBoundAndedAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmUpperBoundAndedElements getJvmUpperBoundAndedAccess()

    - #### getJvmUpperBoundAndedRule

          public org.eclipse.xtext.ParserRule getJvmUpperBoundAndedRule()

    - #### getJvmLowerBoundAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmLowerBoundElements getJvmLowerBoundAccess()

    - #### getJvmLowerBoundRule

          public org.eclipse.xtext.ParserRule getJvmLowerBoundRule()

    - #### getJvmLowerBoundAndedAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmLowerBoundAndedElements getJvmLowerBoundAndedAccess()

    - #### getJvmLowerBoundAndedRule

          public org.eclipse.xtext.ParserRule getJvmLowerBoundAndedRule()

    - #### getJvmTypeParameterAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.JvmTypeParameterElements getJvmTypeParameterAccess()

    - #### getJvmTypeParameterRule

          public org.eclipse.xtext.ParserRule getJvmTypeParameterRule()

    - #### getQualifiedNameWithWildcardAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.QualifiedNameWithWildcardElements getQualifiedNameWithWildcardAccess()

    - #### getQualifiedNameWithWildcardRule

          public org.eclipse.xtext.ParserRule getQualifiedNameWithWildcardRule()

    - #### getValidIDAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.ValidIDElements getValidIDAccess()

    - #### getValidIDRule

          public org.eclipse.xtext.ParserRule getValidIDRule()

    - #### getXImportSectionAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.XImportSectionElements getXImportSectionAccess()

    - #### getXImportSectionRule

          public org.eclipse.xtext.ParserRule getXImportSectionRule()

    - #### getXImportDeclarationAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.XImportDeclarationElements getXImportDeclarationAccess()

    - #### getXImportDeclarationRule

          public org.eclipse.xtext.ParserRule getXImportDeclarationRule()

    - #### getQualifiedNameInStaticImportAccess

          public org.eclipse.xtext.xbase.services.XtypeGrammarAccess.QualifiedNameInStaticImportElements getQualifiedNameInStaticImportAccess()

    - #### getQualifiedNameInStaticImportRule

          public org.eclipse.xtext.ParserRule getQualifiedNameInStaticImportRule()

    - #### getIDRule

          public org.eclipse.xtext.TerminalRule getIDRule()

    - #### getSTRINGRule

          public org.eclipse.xtext.TerminalRule getSTRINGRule()

    - #### getML_COMMENTRule

          public org.eclipse.xtext.TerminalRule getML_COMMENTRule()

    - #### getSL_COMMENTRule

          public org.eclipse.xtext.TerminalRule getSL_COMMENTRule()

    - #### getWSRule

          public org.eclipse.xtext.TerminalRule getWSRule()

    - #### getANY_OTHERRule

          public org.eclipse.xtext.TerminalRule getANY_OTHERRule()